%define __python %{__python3}

%define arcadename %{name}-arcade
%define launchername %{name}-launcher

Name:           fs-uae
Version:        2.6.2
Release:        %mkrel 2
Summary:        Amiga emulator with on-screen GUI and online play support
License:        GPLv2+
Group:          Emulators
Url:            http://fs-uae.net
Source0:        http://fs-uae.net/fs-uae/stable/%{version}/%{name}-%{version}.tar.xz
Source1:        http://fs-uae.net/fs-uae/stable/%{version}/%{arcadename}-%{version}.tar.xz
Source2:        http://fs-uae.net/fs-uae/stable/%{version}/%{launchername}-%{version}.tar.xz
Patch0:         fs-uae-2.6.2-desktop.patch
#-------------------------------------
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}mpeg2dec-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}sdl2.0-devel
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: mesa-devel
BuildRequires: python3
BuildRequires: python3-setuptools
BuildRequires: zip
#-------------------------------------

%description
FS-UAE is an Amiga emulator for Windows, Linux and Mac OS X
based on UAE/WinUAE, with a focus on emulating games.

Features include emulation of Amiga 500, 1200, 4000, CD32
and CDTV, perfectly smooth scrolling on 50Hz displays, support
for floppy images in ADF and IPF formats, CD-ROM images in ISO
or BIN/CUE format, mounting folders on your computer as Amiga
hard drives, support for Picasso 96 drivers for high-color and
high-resolution Workbench displays, and more.

A unique feature is support for cross-platform online play. You
can now play Amiga games against (or with) friends over the
Internet.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-device-helper
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_docdir}/%{name}/

#----------------------------------------------------------------------

%package -n     %{arcadename}
Summary:        Fullscreen game browser for FS-UAE
BuildArch:      noarch
Requires:       python3-qt5
Requires:		python3-sip
Requires:       %{name} = %{version}-%{release}

%description -n %{arcadename}
FS-UAE Arcade is a fullscreen Amiga game browser for FS-UAE.

%files -n       %{arcadename}
%{_bindir}/%{arcadename}
%{_datadir}/%{arcadename}/
%{_datadir}/applications/%{arcadename}.desktop
%{_docdir}/%{arcadename}/
%{_iconsdir}/hicolor/*/apps/%{arcadename}.png

#----------------------------------------------------------------------

%package -n     %{launchername}
Summary:        Graphical configuration frontend and launcher for FS-UAE
BuildArch:      noarch
Requires:       python3-qt5
Requires:		python3-sip
Requires:       %{name} = %{version}-%{release}

%description -n %{launchername}
FS-UAE Launcher is a graphical configuration program and launcher for FS-UAE.

%files -n       %{launchername} -f %{launchername}.lang
%{_bindir}/%{launchername}
%{_datadir}/%{launchername}/
%{_datadir}/applications/%{launchername}.desktop
%{_docdir}/%{launchername}/
%{_iconsdir}/hicolor/*/apps/%{launchername}.png

#----------------------------------------------------------------------

%prep
%setup -q -a1 -a2
%apply_patches

%build
%configure2_5x
%make

for pname in %{arcadename} %{launchername}; do
pushd ${pname}-%{version}
%{__python3} setup.py build
# run make for translation update if needed
%make
popd
done

%install
rm -rf %buildroot
%make_install

for pname in %{arcadename} %{launchername}; do
  # takes care of the setup.py install + some stuff
  %make_install -C ${pname}-%{version} prefix=%{_prefix}
done

#get rid of this
rm -f %buildroot/%{_datadir}/applications/fs-uae.desktop.0000

%find_lang %{name}
%find_lang %{launchername}


%changelog
* Wed Jun 01 2016 bb <bb> 2.6.2-2pclos2016
- update

